Bug 4130 - Programs wont start when using ppp
Summary: Programs wont start when using ppp
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ppp
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-21 08:09 UTC by dag.r.klaestad
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-20 15:18:01 UTC


Attachments (Terms of Use)

Description dag.r.klaestad 1999-07-21 08:09:40 UTC
When a call is made to an ISP, No programs will start in
Xwindows. You have to start all the programs first.
You can start the dialup program, but when you press connect
and probably the pppdeamon starts, it is over.


Installed my linux both as a networked workstation and a
dialup workstation.

Comment 1 Bill Nottingham 1999-07-21 14:23:59 UTC
What dialup program are you using?

Comment 2 bylander 1999-09-18 02:45:59 UTC
I had this problem, too.  I traced it as far as the script
in /etc/sysconfig/network-scripts/ifup-post.  There is a part of the
script that (re)sets the hostname.  It's not supposed to do it when
you use ppp, but it does anyway, and it screws up X.  My fix was to
simply comment out that part of the script, which will work fine if
all you are using for networking is ppp.  I suppose otherwise you
wouldn't want to change your hostname, anyways.  A little debugging
seemed to indicate that $DEVICE in this script is not initially set
correctly.  I guess whatever calls this script sets this variable,
but I didn't pursue it any further.

Comment 3 Michael K. Johnson 1999-09-20 15:18:59 UTC
X authentication is based on hostname, so when the hostname changes,
no new X clients can connect.

Our scripts only change the hostname if the hostname is set to
"localname.localdomain" -- this is so that with services like
DHCP, the hostname can be assigned dynamically by the network
administrator.

You can set the hostname to anything else and then our scripts
will honor your setting.

Comment 4 Michael K. Johnson 1999-09-20 16:21:59 UTC
DEVICE is set in each of the /etc/sysconfig/network-scrips/ifcfg-*
files.  If it isn't set (a tool failure that I'm not aware of) the
comparison does not fail.  We don't set the domain name on PPP and
SLIP connections now anyway, so this bug report has been handled
via that mechanism as well...


Note You need to log in before you can comment on or make changes to this bug.